<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.finos.legend.showcase</groupId>
  <artifactId>guided-tour</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <packaging>pom</packaging>
  <modules>
    <module>guided-tour-entities</module>
    <module>guided-tour-versioned-entities</module>
    <module>guided-tour-service-execution</module>
    <module>guided-tour-file-generation</module>
  </modules>
  <properties>
    <maven.compiler.source>1.8</maven.compiler.source>
    <maven.compiler.target>1.8</maven.compiler.target>
    <platform.legend-engine.version>4.14.1</platform.legend-engine.version>
    <platform.legend-sdlc.version>0.131.6</platform.legend-sdlc.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>org.finos.legend.showcase</groupId>
        <artifactId>guided-tour-entities</artifactId>
        <version>0.0.1-SNAPSHOT</version>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.showcase</groupId>
        <artifactId>guided-tour-versioned-entities</artifactId>
        <version>0.0.1-SNAPSHOT</version>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.showcase</groupId>
        <artifactId>guided-tour-service-execution</artifactId>
        <version>0.0.1-SNAPSHOT</version>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.showcase</groupId>
        <artifactId>guided-tour-file-generation</artifactId>
        <version>0.0.1-SNAPSHOT</version>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.sdlc</groupId>
        <artifactId>legend-sdlc-test-utils</artifactId>
        <version>${platform.legend-sdlc.version}</version>
        <scope>test</scope>
        <exclusions>
          <exclusion>
            <artifactId>legend-pure-code-java-compiled-core</artifactId>
            <groupId>org.finos.legend.pure</groupId>
          </exclusion>
        </exclusions>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.engine</groupId>
        <artifactId>legend-engine-extensions-collection-generation</artifactId>
        <version>${platform.legend-engine.version}</version>
      </dependency>
      <dependency>
        <groupId>org.finos.legend.engine</groupId>
        <artifactId>legend-engine-extensions-collection-execution</artifactId>
        <version>${platform.legend-engine.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>org.finos.legend.sdlc</groupId>
          <artifactId>legend-sdlc-entity-maven-plugin</artifactId>
          <version>${platform.legend-sdlc.version}</version>
          <dependencies>
            <dependency>
              <groupId>org.finos.legend.engine</groupId>
              <artifactId>legend-engine-extensions-collection-generation</artifactId>
              <version>${platform.legend-engine.version}</version>
            </dependency>
            <dependency>
              <groupId>org.finos.legend.sdlc</groupId>
              <artifactId>legend-sdlc-extensions-collection-entity-serializer</artifactId>
              <version>${platform.legend-sdlc.version}</version>
            </dependency>
          </dependencies>
        </plugin>
        <plugin>
          <groupId>org.finos.legend.sdlc</groupId>
          <artifactId>legend-sdlc-generation-model-maven-plugin</artifactId>
          <version>${platform.legend-sdlc.version}</version>
          <dependencies>
            <dependency>
              <groupId>org.finos.legend.engine</groupId>
              <artifactId>legend-engine-extensions-collection-generation</artifactId>
              <version>${platform.legend-engine.version}</version>
            </dependency>
            <dependency>
              <groupId>org.finos.legend.showcase</groupId>
              <artifactId>guided-tour-entities</artifactId>
              <version>${project.version}</version>
            </dependency>
          </dependencies>
        </plugin>
        <plugin>
          <groupId>org.finos.legend.sdlc</groupId>
          <artifactId>legend-sdlc-generation-file-maven-plugin</artifactId>
          <version>${platform.legend-sdlc.version}</version>
          <dependencies>
            <dependency>
              <groupId>org.finos.legend.engine</groupId>
              <artifactId>legend-engine-extensions-collection-generation</artifactId>
              <version>${platform.legend-engine.version}</version>
            </dependency>
            <dependency>
              <groupId>org.finos.legend.showcase</groupId>
              <artifactId>guided-tour-entities</artifactId>
              <version>${project.version}</version>
            </dependency>
          </dependencies>
        </plugin>
        <plugin>
          <groupId>org.finos.legend.sdlc</groupId>
          <artifactId>legend-sdlc-generation-service-maven-plugin</artifactId>
          <version>${platform.legend-sdlc.version}</version>
          <dependencies>
            <dependency>
              <groupId>org.finos.legend.engine</groupId>
              <artifactId>legend-engine-extensions-collection-generation</artifactId>
              <version>${platform.legend-engine.version}</version>
            </dependency>
            <dependency>
              <groupId>org.finos.legend.showcase</groupId>
              <artifactId>guided-tour-entities</artifactId>
              <version>${project.version}</version>
            </dependency>
          </dependencies>
        </plugin>
        <plugin>
          <groupId>org.finos.legend.sdlc</groupId>
          <artifactId>legend-sdlc-version-package-maven-plugin</artifactId>
          <version>${platform.legend-sdlc.version}</version>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <artifactId>maven-source-plugin</artifactId>
        <version>3.2.0</version>
        <executions>
          <execution>
            <id>attach-sources</id>
            <phase>verify</phase>
            <goals>
              <goal>jar-no-fork</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
